summaryrefslogtreecommitdiff
path: root/graphics/axodraw2/axohelp.test
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
committerNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
commite0c6872cf40896c7be36b11dcc744620f10adf1d (patch)
tree60335e10d2f4354b0674ec22d7b53f0f8abee672 /graphics/axodraw2/axohelp.test
Initial commit
Diffstat (limited to 'graphics/axodraw2/axohelp.test')
-rwxr-xr-xgraphics/axodraw2/axohelp.test37
1 files changed, 37 insertions, 0 deletions
diff --git a/graphics/axodraw2/axohelp.test b/graphics/axodraw2/axohelp.test
new file mode 100755
index 0000000000..c54130f355
--- /dev/null
+++ b/graphics/axodraw2/axohelp.test
@@ -0,0 +1,37 @@
+#!/bin/sh -vx
+
+# Copyright (C) 2018 John Collins (jcc8 at psu dot edu)
+# You may freely use, modify and/or distribute this file.
+#
+# This test is a rudimentary test of axohelp in a form suitable for
+# use in TeXLive builds.
+
+# Prevent errors from sed if it encounters non-UTF-8 strings in utf-8 locale
+LC_ALL=C; export LC_ALL; LANGUAGE=C; export LANGUAGE
+
+if test -z "$test_srcdir"; then
+ # If not set, then we are not running from `make check'.
+ test_srcdir=`echo "$0" | sed -e 's,/[^\\/]*$,,'` # == dirname $0
+ test "$test_srcdir" = "$0" && test_srcdir=. # in case subst failed
+fi
+echo ==================\"$test_srcdir\"=====================
+
+echo Copying source files if necessary
+test "$test_srcdir" = . \
+ || cp "$test_srcdir"/test.ax1 "$test_srcdir"/test.ax2-std . \
+ || exit 1
+
+echo Running axohelp on test document ...
+./axohelp test \
+ || { echo axohelp failed to run correctly ; exit 1; }
+
+echo Checking result file test.ax2, after converting line-endings
+tr -d '\r' < test.ax2 > tmp.ax2
+tr -d '\r' < test.ax2-std > tmp.ax2-std
+
+diff tmp.ax2-std tmp.ax2 \
+ || { echo The .ax2 file created by axohelp was incorrect; exit 1; }
+
+echo Success, so I will remove generated files test.ax2 and temporaries
+rm test.ax2 tmp.ax2 tmp.ax2-std
+